Subject: [Detnet] draft-ietf-detnet-yang

From: Janos Farkas <[email-masked]>
Date: Fri, 8 Oct 2021 12:13:43 +0000

WG,

It looks like the draft has been updated to address all WG LC comments.
Please review and see any comments unaddressed.

Authors,
Can you please summarize the changes?

Thank you,
Janos

---

From: Don Fedyk <[email-masked]>
Date: Fri, 8 Oct 2021 13:20:58 +0000

Hi Janos

Here is a summary of the draft changes to address WG last call comments.  We kept a detailed list of comments in https://github.com/detnet-wg/draft-ietf-detnet-yang

  *   We added an Abbreviations section.
  *   We added a section describing where you would find instances of the Yang model to address comments
  *   We moved the details tree to the Appendix and provided a one page high level tree.
  *   We updated the reference to the Flow Information Model which is now an RFC
  *   We simplified naming of the prefix and leafs objects where we received feedback on these items.
  *   We add a missing Security Considerations section
  *   We added references that were contained withing the model. An updated comments.
  *   We changed the IP addresses used in examples to the IETF reserved space for example addresses.
  *   We update all related test examples and SVG diagrams which reflects the naming changes. (We used a new version of Yanglint which reorganized the test output.)
  *   We updated the acknowledgements.
  *   We submitted a PDF version and generated the XML version which have the SVG diagrams.
(I learned the PDF has to be submitted along with the XML even though it was generated from the same XML source otherwise you get a PDF of the txt version.)

(We cycled this a few times within the authors to clean up the updates – hopefully good now).

Cheers
Don (for the authors)
PS I now have a deeper appreciation for ascii art.  ;-)

From: detnet <[email-masked]> On Behalf Of Janos Farkas
Sent: Friday, October 8, 2021 8:14 AM
To: DetNet WG <[email-masked]>
Subject: [Detnet] draft-ietf-detnet-yang

WG,

Authors,

Thank you,
Janos

---

From: Janos Farkas <[email-masked]>
Date: Fri, 8 Oct 2021 13:34:48 +0000

Thank you Don!
Janos

From: Don Fedyk <[email-masked]>
Sent: Friday, October 8, 2021 3:21 PM
To: Janos Farkas <[email-masked]>; DetNet WG <[email-masked]>
Subject: RE: draft-ietf-detnet-yang

Hi Janos

Here is a summary of the draft changes to address WG last call comments.  We kept a detailed list of comments in https://github.com/detnet-wg/draft-ietf-detnet-yang<https://protect2.fireeye.com/v1/url?k=af5696c7-f0cdae25-af56d65c-86073b36ea28-6ebb87d0f09a5547&q=1&e=60f05135-fa08-4bda-883f-c2b189052aff&u=https%3A%2F%2Fgithub.com%2Fdetnet-wg%2Fdraft-ietf-detnet-yang>

Cheers
Don (for the authors)

From: detnet <[email-masked]<mailto:[email-masked]>> On Behalf Of Janos Farkas
Sent: Friday, October 8, 2021 8:14 AM
To: DetNet WG <[email-masked]<mailto:[email-masked]>>
Subject: [Detnet] draft-ietf-detnet-yang

WG,

Authors,

Thank you,
Janos

---

From: Janos Farkas <[email-masked]>
Date: Thu, 21 Oct 2021 15:25:36 +0000

Authors,

Please find below some additional comments that came up while double checking:

Section 8:
Some RFCs only appear in the YANG module but not anchored in the text. Add the following references to the text:
RFC 6991, RFC 8519, RFC 8294, RFC 8519, RFC 8343, RFC 9016, RFC 791, RFC 8200

Section 10:
It would be good to add RFC 9055, e.g., update the first sentence to:
“Security considerations for DetNet are covered in the DetNet Architecture [RFC8655] and DetNet Security Considerations [RFC9055].”

Regards,
Janos

Hi Janos

Cheers
Don (for the authors)

WG,

Authors,

Thank you,
Janos